from brewing import potion_class
from brewing import containers
from brewing import cooking
from brewing import inspection
from brewing import ingredients 

def make_example_potion(student_name="ASPP student"):
    """Make and return an example potion."""
    my_potion = potion_class.Potion(student_name=student_name)
    # Set up your old kettle and light an eternal flame underneath it.
    my_potion.setup(container=containers.OLD_KETTLE, heat_source=cooking.ETERNAL_FLAME)
    # Simmer for 5 hours.
    cooking.simmer(my_potion, duration=5)
    print(f"You successfully ran make_example_potion, {student_name}, well done :).")
    return my_potion


def make_python_expert_potion(student_name):
    my_potion = potion_class.Potion(student_name=student_name)
    my_potion.ingredients = [ingredients.FISH_EYES, ingredients.UNICORN_HAIR, ingredients.TEA_LEAVES]
    my_potion.setup(container=containers.PEWTER_CAULDRON, heat_source=cooking.FIRE)
    cooking.simmer(my_potion, duration=2)

    print("I am a Python Expert")
    return my_potion


if __name__ == "__main__":
    my_name = 'ASPP student'
    # ex_potion = make_example_potion(student_name=my_name)
    expert_potion = make_python_expert_potion(my_name)
    # Let Snoope inspect the potion
    inspection.inspection_by_snoope(potion=expert_potion, target_potion='python_expert')
